﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        String ctrlStr = ViewState["LoadedControl"] == null ? "UserControls/SimpleControl.ascx" : "UserControls/TimerControl.ascx";
        //Load a control on each page load
        Control control = LoadControl(ctrlStr);

        //It's important to set it an ID!
        control.ID = ctrlStr;
        Panel1.Controls.Add(control);
    }

    protected void RadTabStrip1_TabClick(object sender, Telerik.WebControls.TabStripEventArgs e)
    {
        String ctrlID = null;

        switch (e.Tab.Value)
        {
            case "0":
                ctrlID = "UserControls/SimpleControl.ascx";
                break;

            case "1":
                ctrlID = "UserControls/TimerControl.ascx";
                
                //The timer is going to start ticking, once its control is loaded
                Session["Ticks"] = 0;
                break;
        }

        //Load the corresponding control
        UserControl control = (UserControl)LoadControl(ctrlID);

        //It's important to set it an ID!
        control.ID = ctrlID.Replace('/', '_');

        //Clear panel controls and add the newly loaded control
        Panel1.Controls.Clear();
        Panel1.Controls.Add(control);

        //Save which control is loaded
        ViewState["LoadedControl"] = ctrlID;
    }

 
    
}
